package middleware

import (
	"fmt"
	inertia "github.com/romsar/gonertia"
	"net/http"
)

func InertiaMiddleware(i *inertia.Inertia) http.Handler {
	fn := func(w http.ResponseWriter, r *http.Request) {
		getContextData := r.Context().Value("data")
		fmt.Println(getContextData)
		err := i.Render(w, r, "Home/Index", inertia.Props{
			"text": "From Golang",
		})
		if err != nil {
			return
		}
	}

	return http.HandlerFunc(fn)
}
